Extending Qt Creator Manual | ShellCommand

Extending Qt Creator Manual 4.5.2

# ShellCommand Class

(Core::ShellCommand)

Inherits: | Utils::ShellCommand

- List of all members, including inherited members

## Public Functions

| ShellCommand(const QString &workingDirectory, const QProcessEnvironment &environment)

- 24 public functions inherited from Utils::ShellCommand

## Protected Functions

virtual void | coreAboutToClose()

## Reimplemented Protected Functions

virtual void | addTask(QFuture<void> &future)

- 4 protected functions inherited from Utils::ShellCommand

### Additional Inherited Members

- 5 signals inherited from Utils::ShellCommand

## Member Function Documentation

### ShellCommand::ShellCommand(const QString &workingDirectory, const QProcessEnvironment &environment)

Default constructs an instance of ShellCommand.

### `[virtual protected]` void ShellCommand::addTask(QFuture<void> &future)

### `[virtual protected]` void ShellCommand::coreAboutToClose()